<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14) on Fri May 29 23:30:56 CEST 2020 -->
<title>Game</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-29">
<meta name="description" content="declaration: package: Heroes, class: Game">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9,"i15":9,"i16":9,"i17":9,"i18":9,"i19":9,"i20":9,"i21":9,"i22":9,"i23":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Game.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">Heroes</a></div>
<h1 title="Class Game" class="title">Class Game</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">javafx.application.Application
<div class="inheritance">Heroes.Game</div>
</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="typeNameLabel">Game</span>
extends javafx.application.Application</pre>
<div class="block">The type Game.</div>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<li class="blockList">
<section class="nestedClassSummary"><a id="nested.class.summary">
<!--   -->
</a>
<h2>Nested Class Summary</h2>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;javafx.application.Application</h2>
<a id="nested.classes.inherited.from.class.javafx.application.Application">
<!--   -->
</a><code>javafx.application.Application.Parameters</code></div>
</section>
</li>
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;javafx.application.Application</h3>
<a id="fields.inherited.from.class.javafx.application.Application">
<!--   -->
</a><code>STYLESHEET_CASPIAN, STYLESHEET_MODENA</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(javafx.stage.Stage)">Game</a></span>&#8203;(javafx.stage.Stage&nbsp;stage)</code></th>
<td class="colLast">
<div class="block">Instantiates a new Game.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#animateMove(javafx.scene.layout.Pane,java.util.ArrayList,javafx.stage.Stage)">animateMove</a></span>&#8203;(javafx.scene.layout.Pane&nbsp;root,
java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;path,
javafx.stage.Stage&nbsp;stage)</code></th>
<td class="colLast">
<div class="block">Animate and move (function used for gameloop).</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#buyTower(Heroes.Map.MapOfTiles,javafx.scene.layout.Pane,javafx.stage.Stage)">buyTower</a></span>&#8203;(<a href="Map/MapOfTiles.html" title="class in Heroes.Map">MapOfTiles</a>&nbsp;map,
javafx.scene.layout.Pane&nbsp;root,
javafx.stage.Stage&nbsp;stage)</code></th>
<td class="colLast">
<div class="block">Buy tower</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="Tile/Towers/Attacks/Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAttackList()">getAttackList</a></span>()</code></th>
<td class="colLast">
<div class="block">get all the attacks that have to be handled at this loop</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getHeight()">getHeight</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets height.</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>static <a href="User/InGameUser.html" title="class in Heroes.User">InGameUser</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getInGameUser()">getInGameUser</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets in game user.</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>static java.util.HashMap&lt;java.lang.Integer,&#8203;<a href="Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLt()">getLt</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets map of towers (integer is tower key)</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>static <a href="Map/MapOfTiles.html" title="class in Heroes.Map">MapOfTiles</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMap()">getMap</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets map of tiles;=</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>static <a href="Input/Mouse.html" title="class in Heroes.Input">Mouse</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMouse()">getMouse</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets mouse.</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>static <a href="Music/Music.html" title="class in Heroes.Music">Music</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMusic()">getMusic</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets music.</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>static javafx.scene.layout.BorderPane</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPane()">getPane</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets pane.</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>static javafx.scene.layout.HBox</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPane1()">getPane1</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets pane 1.</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>static javafx.scene.layout.BorderPane</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPane3()">getPane3</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets pane 3.</div>
</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>static javafx.scene.layout.Pane</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRoot()">getRoot</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets root.</div>
</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>static <a href="User/User.html" title="class in Heroes.User">User</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getUser()">getUser</a></span>()</code></th>
<td class="colLast">
<div class="block">Get user user.</div>
</td>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getWidth()">getWidth</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets width.</div>
</td>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isPaused()">isPaused</a></span>()</code></th>
<td class="colLast">
<div class="block">Is paused boolean.</div>
</td>
</tr>
<tr class="altColor" id="i16">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setHeight(int)">setHeight</a></span>&#8203;(int&nbsp;height)</code></th>
<td class="colLast">
<div class="block">Sets height.</div>
</td>
</tr>
<tr class="rowColor" id="i17">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setMouse(Heroes.Input.Mouse)">setMouse</a></span>&#8203;(<a href="Input/Mouse.html" title="class in Heroes.Input">Mouse</a>&nbsp;mouse)</code></th>
<td class="colLast">
<div class="block">Sets mouse.</div>
</td>
</tr>
<tr class="altColor" id="i18">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setMusic(Heroes.Music.Music)">setMusic</a></span>&#8203;(<a href="Music/Music.html" title="class in Heroes.Music">Music</a>&nbsp;music)</code></th>
<td class="colLast">
<div class="block">Sets music.</div>
</td>
</tr>
<tr class="rowColor" id="i19">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPane(javafx.scene.layout.BorderPane)">setPane</a></span>&#8203;(javafx.scene.layout.BorderPane&nbsp;pane)</code></th>
<td class="colLast">
<div class="block">Sets pane.</div>
</td>
</tr>
<tr class="altColor" id="i20">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPaused(boolean)">setPaused</a></span>&#8203;(boolean&nbsp;paused)</code></th>
<td class="colLast">
<div class="block">Sets paused.</div>
</td>
</tr>
<tr class="rowColor" id="i21">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTowerselected(Heroes.Tile.TowerInfos)">setTowerselected</a></span>&#8203;(<a href="Tile/TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a>&nbsp;towerselected)</code></th>
<td class="colLast">
<div class="block">Sets towerselected.</div>
</td>
</tr>
<tr class="altColor" id="i22">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setWidth(int)">setWidth</a></span>&#8203;(int&nbsp;width)</code></th>
<td class="colLast">
<div class="block">Sets width.</div>
</td>
</tr>
<tr class="rowColor" id="i23">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#start(javafx.stage.Stage)">start</a></span>&#8203;(javafx.stage.Stage&nbsp;stage)</code></th>
<td class="colLast">
<div class="block">start</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;javafx.application.Application</h3>
<a id="methods.inherited.from.class.javafx.application.Application">
<!--   -->
</a><code>getHostServices, getParameters, getUserAgentStylesheet, init, launch, launch, notifyPreloader, setUserAgentStylesheet, stop</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;(javafx.stage.Stage)">Game</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">Game</span>&#8203;(<span class="arguments">javafx.stage.Stage&nbsp;stage)</span>
     throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Instantiates a new Game.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>stage</code> - the stage</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - the io exception</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="getAttackList()">getAttackList</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;<a href="Tile/Towers/Attacks/Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a>&gt;</span>&nbsp;<span class="memberName">getAttackList</span>()</div>
<div class="block">get all the attacks that have to be handled at this loop</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the attacks</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="start(javafx.stage.Stage)">start</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">start</span>&#8203;(<span class="arguments">javafx.stage.Stage&nbsp;stage)</span></div>
<div class="block">start</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>start</code>&nbsp;in class&nbsp;<code>javafx.application.Application</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>stage</code> - stage</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="buyTower(Heroes.Map.MapOfTiles,javafx.scene.layout.Pane,javafx.stage.Stage)">buyTower</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">buyTower</span>&#8203;(<span class="arguments"><a href="Map/MapOfTiles.html" title="class in Heroes.Map">MapOfTiles</a>&nbsp;map,
javafx.scene.layout.Pane&nbsp;root,
javafx.stage.Stage&nbsp;stage)</span>
              throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Buy tower</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>map</code> - the map of tiles</dd>
<dd><code>root</code> - the root</dd>
<dd><code>stage</code> - the stage</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - the io exception</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="animateMove(javafx.scene.layout.Pane,java.util.ArrayList,javafx.stage.Stage)">animateMove</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">animateMove</span>&#8203;(<span class="arguments">javafx.scene.layout.Pane&nbsp;root,
java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;path,
javafx.stage.Stage&nbsp;stage)</span></div>
<div class="block">Animate and move (function used for gameloop).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>root</code> - the root</dd>
<dd><code>path</code> - the path</dd>
<dd><code>stage</code> - the stage</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getInGameUser()">getInGameUser</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType"><a href="User/InGameUser.html" title="class in Heroes.User">InGameUser</a></span>&nbsp;<span class="memberName">getInGameUser</span>()</div>
<div class="block">Gets in game user.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the in game user</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getUser()">getUser</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType"><a href="User/User.html" title="class in Heroes.User">User</a></span>&nbsp;<span class="memberName">getUser</span>()</div>
<div class="block">Get user user.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the user</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="isPaused()">isPaused</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">isPaused</span>()</div>
<div class="block">Is paused boolean.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the boolean</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setPaused(boolean)">setPaused</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setPaused</span>&#8203;(<span class="arguments">boolean&nbsp;paused)</span></div>
<div class="block">Sets paused.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>paused</code> - the paused</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getMusic()">getMusic</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType"><a href="Music/Music.html" title="class in Heroes.Music">Music</a></span>&nbsp;<span class="memberName">getMusic</span>()</div>
<div class="block">Gets music.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the music</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setMusic(Heroes.Music.Music)">setMusic</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setMusic</span>&#8203;(<span class="arguments"><a href="Music/Music.html" title="class in Heroes.Music">Music</a>&nbsp;music)</span></div>
<div class="block">Sets music.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>music</code> - the music</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getWidth()">getWidth</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getWidth</span>()</div>
<div class="block">Gets width.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the width</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setWidth(int)">setWidth</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setWidth</span>&#8203;(<span class="arguments">int&nbsp;width)</span></div>
<div class="block">Sets width.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - the width</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getHeight()">getHeight</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getHeight</span>()</div>
<div class="block">Gets height.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the height</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setHeight(int)">setHeight</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setHeight</span>&#8203;(<span class="arguments">int&nbsp;height)</span></div>
<div class="block">Sets height.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>height</code> - the height</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getMouse()">getMouse</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType"><a href="Input/Mouse.html" title="class in Heroes.Input">Mouse</a></span>&nbsp;<span class="memberName">getMouse</span>()</div>
<div class="block">Gets mouse.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the mouse</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setMouse(Heroes.Input.Mouse)">setMouse</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setMouse</span>&#8203;(<span class="arguments"><a href="Input/Mouse.html" title="class in Heroes.Input">Mouse</a>&nbsp;mouse)</span></div>
<div class="block">Sets mouse.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mouse</code> - the mouse</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setTowerselected(Heroes.Tile.TowerInfos)">setTowerselected</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setTowerselected</span>&#8203;(<span class="arguments"><a href="Tile/TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a>&nbsp;towerselected)</span></div>
<div class="block">Sets towerselected.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>towerselected</code> - the towerselected</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getLt()">getLt</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">java.util.HashMap&lt;java.lang.Integer,&#8203;<a href="Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a>&gt;</span>&nbsp;<span class="memberName">getLt</span>()</div>
<div class="block">Gets map of towers (integer is tower key)</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the map of towers</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getPane()">getPane</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">javafx.scene.layout.BorderPane</span>&nbsp;<span class="memberName">getPane</span>()</div>
<div class="block">Gets pane.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the pane</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setPane(javafx.scene.layout.BorderPane)">setPane</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setPane</span>&#8203;(<span class="arguments">javafx.scene.layout.BorderPane&nbsp;pane)</span></div>
<div class="block">Sets pane.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pane</code> - the pane</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getPane3()">getPane3</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">javafx.scene.layout.BorderPane</span>&nbsp;<span class="memberName">getPane3</span>()</div>
<div class="block">Gets pane 3.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the pane 3</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getPane1()">getPane1</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">javafx.scene.layout.HBox</span>&nbsp;<span class="memberName">getPane1</span>()</div>
<div class="block">Gets pane 1.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the pane 1</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getMap()">getMap</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType"><a href="Map/MapOfTiles.html" title="class in Heroes.Map">MapOfTiles</a></span>&nbsp;<span class="memberName">getMap</span>()</div>
<div class="block">Gets map of tiles;=</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the map of tiles</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getRoot()">getRoot</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">javafx.scene.layout.Pane</span>&nbsp;<span class="memberName">getRoot</span>()</div>
<div class="block">Gets root.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the root</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Game.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
